XJDIC(1)

NAME
XJDIC - an electronic Japanese-English dictionary program (V2.4) NB: this man page contains a summary of the information in the xjdic24.inf file.

SYNOPSIS
xjdic [ options ]
 - The XJDIC stand-alone program, or client which allows a user to connect to the xjdserver via a network. xjdserver [ options ]
 - The XJDIC server, which carries out dictionary searches on behalf of clients. xjdxgen [ options ] dictionary_file
 - creates the .xjdx index file for dictionary files.

DESCRIPTION
XJDIC is an electronic Japanese-English dictionary program designed to operate in the X11 window environment. In particular, it must run in an "xterm" environment which has Japanese language support such as provided by "kterm" or internationalized xterm, aixterm, etc.

It is based on JDIC and JREADER which were developed to run under MS-DOS on IBM PCs or clones.

XJDIC functions as:

(a) an English to Japanese dictionary (eiwa jiten), searching for and displaying entries for key-words entered in English;

(b) a Japanese to English dictionary (waei jiten), searching for and displaying entries for keywords or phrases entered in Japanese (kanji, hiragana or katakana);

(c) a Japanese-English Character dictionary (kanei jiten), capable of selecting kanji characters by JIS code, radical, stroke count, Nelson Index number or reading, and displaying compounds containing that kanji.

XJDIC is typically run in a window of its own. The user can then use it as a free-standing on-line dictionary. It can also be used as an accessory when reading or writing text in another window (e.g. reading the "fj" Japanese news groups.) Strings of text, either English or Japanese, can be moved to and from XJDIC using X11's mouse "cut-and-paste" operations.

All the Japanese displayed by XJDIC is in kana and kanji, so if you cannot read at least hiragana and katakana, this is not the program for you. The author has no intention whatsoever of producing a version using romanized Japanese.

COMMAND LINE OPTIONS
Each option begins with a separate "-" identifier. Options are tagged: CL, SA or SV according to whether they are applicable to the Client, Stand-alone or Server versions. Many of the options can also be set in the .xjdicrc file. -h [CL,SV,SA] display list of options and exit. -E [CL,SA] instruct the program that it is in EUC mode, and refrain from interpreting the 3-byte kanji of the JIS X 0212 set, which starts with a hex 8F, as Shift-JIS. -v [CL,SA] disable the verb de-inflection function. -V [CL,SA] disable the use of reverse-video in the display of matches. -c control_file [CL,SV,SA] specify the path and name of a control file to be used instead of the default ".xjdicrc" file. -d dictionary_file [SV,SA] specify a dictionary file to use (up to 9 may be specified.) -k kanji_file [SV,SA] specify a kanji data file to use. -j j/e/s/l [CL,SA] Specify the output coding for Japanese text (j=JIS, e=EUC, s=Shift-JIS) l=Locale based output. Output will be according to the character set specified by the current system locale. -O [CL,SA] Request the old input code. Also selects -j j (which controls output) unless overridden. The old code does not respect the current locale but it does EUC/JIS detection on input. -P port_no [CL,SV] instruct the client/server version to use UDP port nnnnn, instead of the default port (47512). -S server_address [CL] instruct the client that the server is to be found at the specified network address. -C clipboard_file [CL,SA] the name of the file to use as the clipboard. -K [SV] prevent the server from establishing itself as a daemon.

KEYBOARD COMMANDS
XJDIC operates by entering text strings of English or Japanese, upon which the matching dictionary entries are displayed. As well, a range of single-character control commands are available to modify the program operation. The commands are: ? display a summary of the keyboard commands ! display the GNU GPL document. # engage the romaji to katakana conversion feature for the subsequent input. @ engage the romaji to hiragana conversion feature for the subsequent input. & toggle kana-input mode. / toggle the display jukugo with a kanji in a non-initial position mode. \ go into kanji dictionary mode (see below.) | toggle unedited output mode. = switch the active dictionary to the next in the list. ^ switch the active dictionary to the previous one in the list. _ select an active dictionary by number. $ specify a list of dictionary numbers to use in global-search mode. % toggle global search mode. ` toggle multiple dictionary display within global search mode. * display buffer-usage statistics (only for the stand-alone version with paged I/O) [ toggle exact-match mode. } toggle reverse-video display of matched strings mode. + toggle selection of priority keys in the dictionary. ] initiate search of the extension file (none available yet!). ' clear the current one-off filter (if any) and prompt for another. ; set/clear general filters (as specified in the control file.) { enter clipboard mode (all search keys will now be taken from the clipboard file.) : toggle verb-deinflection mode - toggle long kanji display mode.

Kanji Search Mode
Kanji Search Mode is entered using the `' command. In this mode, keys are entered which match against fields in the Kanji database. The keys are: kana (use the @ or # prefixes to key hiragana or katakana.) jxxxx a hex JIS code for a kanji jhxxxx a hex JIS code for a kanji from the JIS X 212-1990 supplementary kanji. jknnnn a numeric kuten code for a kanji. jknnnn a numeric kuten code for a kanji from the JIS X 212-1990 supplementary kanji. jsxxxx a hex Shift-JIS code for a kanji. followed by one of the KANJIDIC codes, such as Snn, Bnn, Vnnnn, etc. m followed by the English "sense" or "meaning" of the kanji. r to initiate a display of the radicals and their numbers. l to enter the multi-radical selection mode.

Multi-Radical Mode
This is a sub-mode with the kanji selection mode. Radical elements are entered, and the kanji which match that combination of elements are either displayed, or their number reported. The commands in the mode are: r display the table of radical elements radical add this element to the table. dn remove the nth element from the table. sn restrict the selection to kanji with n strokes s-n restrict the selection to kanji with <= n strokes s+n restrict the selection to kanji with >= n strokes s0 remove the kanji stroke restriction. c clear the elements in the table l force the display of currently matching kanji v kanji display the elements of the specified kanji x exit this mode.

CONTROL FILE
Configuration of the XJDIC system is accomplished via the use of the .xjdicrc(1) file, or the file specified in the -c option. The control-file contains a number of directives which establish the working dictionaries and files, and also set some of the operating modes. The control file directives are: filt [SA,CL] set up filter details (see the FILTERS section in the xjdic24.inf file.) omode e/j/s [SA,CL] set the screen output codes to EUC, JIS or Shift-JIS kanamode [SA,CL] set the initial default input mode to hiragana dicdir path_name [SA,SV,CL] set the location of the dictionary and data files. The program will try this directory first, followed by the local operating directory. Affects all files except the clipboard and the control file itself. Note that this line should occur *before* any dicfile, etc. lines. dicfile path_name [SA,SV] dictionary name (default: edict) kdicfile path_name [SA,SV] kanji dictionary name (default: kanjidic) romfile path_name [SA,CL] romaji conversion file (default: romkana.cnv) verbfile path_name [SA,CL] conjugation file (default: vconj) radfile path_name [SA,CL] radical/bushu no. file (default: radicals.tm) radkfile path_name [SA,CL] radical/kanji file for the multi-radical search (default: radkfile) jverb on|off [SA,CL] enable or disable the verb de-inflection function kdnoshow ABCDE... [SA,CL] declaration of the KANJIDIC fields to be suppressed from the display. For example, "kdnoshow YMQ" will prevent the display of the Pin-Yin information and the Four-Corner and Morohashi indices. exlist and from but .... .... declaration of common words of 3 or more letters to be excluded from the XJDXGEN generation of an .xjdx file. There can be more than one "exlist" line in the file. clipfile [SA,CL] specify the name of a clipboard file to use. gnufile [SA,CL] specify the name of GNU Public Licence file (default is "gnu_licence".) rvdisplay on | off [SA,CL] specify the initial setting of the reverse video display of matches. (Default is ON) Note that some of these are also command-line options. If both are used, the control-file request takes precedence.

FILES
Apart from the .xjdicrc control file, XJDIC requires five other files: radicals.tm the list of bushu numbers and descriptive kanji

romkana.cnv the list of romaji to kana mappings used in the input conversion routines. vconj the verb/adjective inflections used to identify the dictionary forms of words prior to lookup. radkfile the file of radicals used in the multi-radical kanji search function, and the kanji matching each radical. kanjstroke file of kanji and their stroke-counts, extracted from the kanjidic file.

ENVIRONMENT
The file .xjdicrc(1) defines the locations of the files above. The programs all seek this file in the current working directory, the HOME directory, or in the directory specified by the XJDIC environment variable.

INPUT METHOD
As well as having its own romaji conversion facility, XJDIC can receive Japanese input from IM systems such as kinput2.

BUGS
Any spotted should be sent to the author.

AUTHOR
Jim Breen <jwb@dgs.monash.edu.au>. This man page initially created by William F. Maton <wmaton@enterprise.ic.gc.ca> with material taken from xjdic24.inf, and extended by Jim.

ACKNOWLEDGMENTS
Many, many people have assisted with xjdic since it first appeared as 1.0 in 1992. They are mentioned in the xjdic24.inf file.